Wordpress Themes - WP Forum at BFA

Wordpress Themes - WP Forum at BFA (http://forum.bytesforall.com/index.php)
-   Old Version fixes and change logs (http://forum.bytesforall.com/forumdisplay.php?f=37)
-   -   Atahualpa 3.7.1 released (http://forum.bytesforall.com/showthread.php?t=15583)

Flynn Oct 6, 2011 10:09 AM

Atahualpa 3.7.1 released
 
This fixed one serious bug that occurred since 3.6.8 when you edited a theme file on the server, through WP Admin -> Appearance -> Editor, see http://forum.bytesforall.com/showthread.php?t=15572


Download Atahualpa 3.7.1

(There are 2 links in that post. Use the small one at the bottom if 3.7.1 is not on wordpress.org yet)

deClench Oct 7, 2011 11:48 AM

Still having the same problem in 3.7.1 as with 3.7.0 with the tabulation in Atahualpa Theme Options.

Anyone else seeing this bug or am I doing something wrong? Thanks!


Quote:

WP 3.2.1, upgrading from Atahualpa 3.6.7 to 3.7.0

The Atahualpa Theme Options section has lost its tabulation. All content is dumped on screen. Other sections seem fine, and front end seems fine.

Tried 3.6.9 and have same issue. 3.6.7 was fine.

Any thoughts? Thanks!

deClench Oct 7, 2011 11:56 AM

My bad. I renamed the uploaded to "atahualpa 3.7.1" to distinguish it from the other versions. Renaming to just "atahualpa" has brought back the formatting.

kletskater Oct 12, 2011 03:01 PM

ata 3.7.1 works very fine for me, thanks for al who make this theme possible,

i've got one a question:
-when doing a loadspeed test at uptrend, i get the error message atahualpa371/js/DD_roundies.js?ver=0.0.2 file not found.
this dd_roundies.js seems to slowdown pageload by not being there:
What is this .js for?, do i need it?
if yes how can i (re)install it?
if not, how can I get rit of the error message?

juggledad Oct 12, 2011 03:42 PM

go to the theme options->Configure CSS & JS->IE6 PNG Fix CSS Selectors and delete everything from that option

kletskater Oct 13, 2011 01:29 AM

Quote:

Originally Posted by juggledad (Post 73768)
go to the theme options->Configure CSS & JS->IE6 PNG Fix CSS Selectors and delete everything from that option

That did it, thanksJuggledad

ymf Oct 24, 2011 08:07 PM

Upgrade from 3.5.3 to 3.7.1 was uneventful. Contributed $5. Thanks!

qbuster Oct 28, 2011 11:57 AM

I've just upgraded to 3.7.1 and WebsiteDefender is reporting the following vulnerability:


Quote:

The Wordpress theme atahualpa from your WordPress installation in / is known to be affected by a security vulnerability.

Vulnerability details
Title WordPress Atahualpa Theme 's' Parameter Cross-Site Scripting Vulnerability
Theme directory /home/waterway/public_html/wp-content/themes/atahualpa367/
Description WordPress Atahualpa theme is prone to a cross-site scripting vulnerability because it fails to properly sanitize user-supplied input. An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This can allow the attacker to steal cookie-based authentication credentials and launch other attacks. Atahualpa theme version 3.6.7 is vulnerable; prior versions may also be affected.
Any comments?

lmilesw Oct 28, 2011 05:05 PM

Notice the path is for 3.6.7. I had than happen in my test with website defender. I saw some old installs of Atahualpa. If the path if for an older version you don't have installed anymore just click the resolve to see what happens.

qbuster Oct 29, 2011 08:07 AM

Quote:

Originally Posted by lmilesw (Post 74792)
Notice the path is for 3.6.7. I had than happen in my test with website defender. I saw some old installs of Atahualpa. If the path if for an older version you don't have installed anymore just click the resolve to see what happens.

I noticed there version difference but I thought it worth while posting that WebsiteDefender judges there is a security issue. I have 'resolve'd it and so far don't have a reaction to 3.7.1.

MickR Nov 13, 2011 08:27 AM

just had a strange prob going from 3.5.3 to 3.7.1...

Uploaded 3.7.1 to server and then activated.
When i went to Theme Options in dashboard i tried clicking on the various links ('Body, Text and Links', 'Style and Configure Layout' etc), but page remained stuck on the 'Start' page, ie: couldn't open the various theme options pages. Reactivated 3.5.3 and all ok again.

Just wondering if anyone has experienced same? I'll have a play around (turn off caching etc), but any tips/ pointers appreciated.

Tx,

Mick.

MickR Nov 13, 2011 09:10 AM

Update to previous forum post.

Turned off caching, wp minify etc, in the faint hope that something there might be affecting 3.7.1 admin. No change, problem still existed. Then uploaded and activated ATA 3.6.4 and that worked fine. Stopping there for the moment.

Wordpress version is 3.2.1, so wondering if there's some conflict between this WP release and the admin functions of the latest ATA release?

If anyone has the same, or a fix, would be interested to hear about it.

Mick.

juggledad Nov 13, 2011 09:32 AM

try temporally disabling your plugins

MickR Nov 13, 2011 09:39 AM

Hi Juggledad,

Thanks for the quick reply, and I just came back in to say found problem (it was my own fault!)

3.7.1 uses jquery in admin pages and i'd accidentally removed the call from wp-includes/script-loader.php (changed to call from Googleapis as that's a compressed version, and I'd got the URL wrong!).

So, all ok and no prob with ATA 3.7.1 and WP 3.2.1

Tx again,

Mick.

KatyDigg Nov 18, 2011 08:29 AM

W3C Validation:

ATA 3.6.7 passes W3C Validation (of which I have been very happy with)

whereas

ATA 3.7.1 sadly, fails W3C Validation, fails with 2 errors.
Quote:

Validation Output: 2 Errors

Error Line 206, Column 136: document type does not allow element "table" here; missing one of "object", "applet", "map", "iframe", "button", "ins", "del" start-tag

…"table-layout:fixed;width:100%" cellpadding="0" cellspacing="0" border="0"><tr>



The mentioned element is not allowed to appear in the context in which you've placed it; the other mentioned elements are the only ones that are both allowed there and can contain the element mentioned. This might mean that you need a containing element, or possibly that you've forgotten to close a previous element.

One possible cause for this message is that you have attempted to put a block-level element (such as "<p>" or "<table>") inside an inline element (such as "<a>", "<span>", or "<font>").


Error Line 239, Column 132: document type does not allow element "table" here; missing one of "object", "applet", "map", "iframe", "button", "ins", "del" start-tag

…yle="table-layout:fixed;width:100%" cellpadding="0" cellspacing="0" border="0">



The mentioned element is not allowed to appear in the context in which you've placed it; the other mentioned elements are the only ones that are both allowed there and can contain the element mentioned. This might mean that you need a containing element, or possibly that you've forgotten to close a previous element.

One possible cause for this message is that you have attempted to put a block-level element (such as "<p>" or "<table>") inside an inline element (such as "<a>", "<span>", or "<font>").

206. <table id="my_widget_area" class="bfa_widget_area" style="table-layout:fixed;width:100%" cellpadding="0" cellspacing="0" border="0"><tr>


239. <table id="my_footer_area" class="bfa_widget_area" style="table-layout:fixed;width:100%" cellpadding="0" cellspacing="0" border="0">



:confused:

lmilesw Nov 18, 2011 10:14 AM

I don't have an answer Katy but I wouldn't be concerned. I used the validator years ago and got frustrated at trying to rid my site of errors. There was apparently something changed in 3.7.1 that kicks out a couple of errors but 2 errors is really low. Try validating many sites and you will get a whole bunch more than that.

I have some simple sites in earlier versions of Atahualpa that validate and some that don't.

Bottom line is if the site is working I'm happy.

juggledad Nov 18, 2011 11:28 AM

Are you validating with the CSS internal or external?

KatyDigg Nov 18, 2011 01:17 PM

It's okay guys......thank you for your time ......... I've sorted the issue and now have

ATA 3.7.1. passed W3C validation.

I'm happy :)

lmilesw Nov 18, 2011 01:35 PM

What did you do Katy? Maybe it could help others.

KatyDigg Nov 18, 2011 01:44 PM

To be honest, Imilesw, I'm somewhat :o

as I ought to have remembered from previous versions ... in footer.php

one has to edit out lines 93, 95, 97 and 99.

Then run site on W3C and voila! Validation pass :)

lmilesw Nov 19, 2011 01:29 PM

Are you referring to the p tags?

KatyDigg Nov 20, 2011 09:08 AM

Quote:

Originally Posted by lmilesw (Post 76183)
Are you referring to the p tags?

Hi Larry, yes, referring to the p tags.

Wonderlady Nov 30, 2011 01:28 PM

Question: I just went to upgrade to 3.7.1 and got a warning that all of my customizations would be removed. Given the highly customizable theme that this is, and I have enjoyed working with it, it seems counterproductive to keep upgrading if I have to redo all of the customizations each time. I am a pretty good Wordpress user in that I can go through the options in the theme and figure out how to customize things. However, a lot of this technical stuff is way over my head.

Be that as it may, is there any workaround to being able to save the customizations or reload them automatically?

Thanks!
Ruth

lmilesw Nov 30, 2011 01:38 PM

That is a generic WordPress message as many times when the theme settings are all in the theme itself you will lose them. With Atahualpa you will need to copy images that you uploaded into the images folder and sub folders into the new images folders and sub folders. All the theme settings are in the database so will not be lost.

For the recommended upgrade procedure visit this post. We recommend the manual upgrade method. Then if something isn't quite right you can just switch back to the old version.

gurdain Dec 20, 2011 06:24 AM

Quote:

Originally Posted by juggledad (Post 75655)
try temporally disabling your plugins

Hi there

I have uploaded atahualpa 3.7.3 alongside my existing 3.5.3 installation

When I activate the new one, everything looks fine apart from my breadcrumbs.

When I go to the Atahualpa options I get the same problem you got - I cannot click on any of the tabs - I just get a hash on the URL.

You mentioned something about wp-includes and jquery....I have no idea

I am running WP 3.3 - can someone point me in the right direction. Things were fine on 3.5.3.


All times are GMT -6. The time now is 12:45 AM.

Powered by vBulletin® Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.